print("Loading MtgJSON file....")
mtgjson = io.open("AllPrintings.json"):read("*all")
historic = io.open("Historic.txt","w")

historic:write("[metadata]\nCode=HIS\nDate=".. os.date("%Y-%m-%d").. "\nName=Historic\nMciCode=his\nType=core\n\n[cards]\n")
cardNumber = 1
cardTable = {}
while true do
	i, j = string.find(mtgjson, "\"isMtgo\".-\"rulings\"", j) 	--find the truncated entry for the card (dirty, but faster than doing a full json parse)
	if i  == nil then break end									--break if there are no further card entries
	cardEntry = string.sub(mtgjson, i, j)
	cardName = string.match(cardEntry, '"name": "(.-)",')		--extract the card name
	if string.find(cardEntry, '"historic": "Legal"') then
		doneAlready = cardTable[cardName]
		if doneAlready ~= true then								--no need to do it twice
			cardRarity = string.upper(string.match(cardEntry,'"rarity.-\"(%a)'))								--extract the rarity
			if cardRarity ~= nil then
					print(cardNumber .. " - Adding card to database: " .. cardName)
					historic:write(cardRarity .. " " ..  cardName .. "\n")
					cardNumber = cardNumber + 1
					cardTable[cardName] = true
			end
		end
	end
end